package electrosphere.client.ui.menu.debug.entity;

import electrosphere.entity.Entity;
import electrosphere.entity.state.equip.ClientToolbarState;
import imgui.ImGui;

/**
 * Debug menu for toolbar state
 */
public class ImGuiEntityToolbarTab {
    
    /**
     * Client scene entity view
     */
    protected static void drawToolbarTab(boolean show, Entity detailViewEntity){
        if(show && ImGui.collapsingHeader("Toolbar Data")){
            ClientToolbarState clientToolbarState = ClientToolbarState.getClientToolbarState(detailViewEntity);
            ImGui.indent();
            if(detailViewEntity != null && clientToolbarState != null){
                ImGui.text("Selected slot: " + clientToolbarState.getSelectedSlot());
                ImGui.text("Selected item: " + clientToolbarState.getCurrentPrimaryItem());
            }
            ImGui.unindent();
        }
    }

}
